<div class="container">
  <h1 class="bg-success text-white px-2 py-1">The ng Bank</h1>

  <div class="form-row align-items-center mb-4">
    <label for="count" class="col-2 col-form-label">Number of accounts:</label>
    <div class="col-2">
      <input type="number" id="count" min="0"
             [(ngModel)]="count"
             class="form-control"
             (change)="generateAccounts(count)"
             placeholder="How many accounts to generate">
    </div>
    <div class="col-auto">
      <button (click)="generateAccounts(count)"
        class="btn btn-primary px-4 mt-2">Generate</button>
    </div>
  </div>

  <app-account-list [list]="accountList"></app-account-list>
</div>
